#!/bin/bash

# JAVA_HOME=/usr/local/jdk1.8.0_301

BASE_PATH="$(cd "$(dirname "$0")" && pwd)"
cd "$BASE_PATH"

# 绝对路径运行，便于在多个进程运行时，判断当前目录所在程序
APP="$BASE_PATH/cpress.jar"

if [ -z "$JAVA_HOME" ]; then
    JAVA_BIN=java
else
    JAVA_BIN="$JAVA_HOME/bin/java"
fi


"$JAVA_BIN" -Dfile.encoding=utf-8 -Duser.timezone=GMT+08 \
-Xms512m -Xmx512m -XX:MetaspaceSize=128m -XX:MaxMetaspaceSize=128m -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath="$BASE_PATH" \
-jar "$APP" > "$BASE_PATH/cpress.log" 2>&1 &

